Loading...
Searching...
No Matches
cpu.h File Reference

CPU related functions. More...

`#include <l4/sys/compiler.h>`
Include dependency graph for cpu.h:

Go to the source code of this file.

## Functions

int | l4util_cpu_has_cpuid (void)
| Check whether the CPU supports the "cpuid" instruction.
unsigned int | l4util_cpu_capabilities (void)
| Returns the CPU capabilities if the "cpuid" instruction is available.
unsigned int | l4util_cpu_capabilities_nocheck (void)
| Returns the CPU capabilities.
void | l4util_cpu_cpuid (unsigned long mode, unsigned long *eax, unsigned long *ebx, unsigned long *ecx, unsigned long *edx)
| Generic CPUID access function.

## Detailed Description

CPU related functions.

Author
  Frank Mehnert fm3@o.nosp@m.s.in.nosp@m.f.tu-.nosp@m.dres.nosp@m.den.d.nosp@m.e

Definition in file cpu.h.